rem  PICO50HZ-BAS Testprogramm
rem  Mit die Frequenz an Pin RA0 (50Hz digitale Signalquelle ein- 
rem  stellen) und gibt die Abweichung an RB aus 
rem  50Hz ergeben einen LOW-impuls von 10ms 
rem  (c) Ing.Bro Lehmann

     date
     time

         define device 16C84,wdt_off 
         xtal 4.00

begin:   tris rb=0
         rem lese einen Impuls an ra.0 ein
loop:    pulsin ra,0,1,z 
         rem aufrunden 
         let z=z+5 
         let z=z / 100 
         rem Ergebnis gewichten 
         let a=0 
         if z<93 then let a=8 
         if z>108 then let a=8 
         if a>0 then goto weiter 
         if z<96 then let a=4 
         if z>104 then let a=4 
         if a>0 then goto weiter 
         if z=100 then let a=1 else let a=2 
weiter:  output rb,a 

         goto loop



